Runtime

## org.eclipse.gmf.runtime.diagram.ui.render.editparts
Class RenderedDiagramRootEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gef.editparts.SimpleRootEditPart
                  org.eclipse.gef.editparts.FreeformGraphicalRootEditPart
                      org.eclipse.gef.editparts.ScalableFreeformRootEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramRootEditPart
                              org.eclipse.gmf.runtime.diagram.ui.render.editparts.RenderedDiagramRootEditPart

All Implemented Interfaces:
  EditPart, GraphicalEditPart, IAdaptable, IDiagramPreferenceSupport, LayerConstants, LayerManager, RequestConstants, RootEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.ZoomableEditPart

public class RenderedDiagramRootEditPart
extends DiagramRootEditPart

A specialized `DiagramRootEditPart` that supports rendering of images.

Nested Class Summary
`protected static class` `RenderedDiagramRootEditPart.DiagramRenderedScalableFreeformLayeredPane`

Nested classes inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramRootEditPart
`DiagramRootEditPart.DiagramScalableFreeformLayeredPane`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Nested classes inherited from class org.eclipse.gef.editparts.LayerManager
`LayerManager.Helper`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramRootEditPart
`DECORATION_PRINTABLE_LAYER, DECORATION_UNPRINTABLE_LAYER, PAGE_BREAKS_LAYER`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.LayerConstants
`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

Fields inherited from interface org.eclipse.gef.editparts.LayerManager
`ID`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`RenderedDiagramRootEditPart()` Default constructor
`RenderedDiagramRootEditPart(MeasurementUnit mu)`

Method Summary
`protected ScalableFreeformLayeredPane` `createScalableFreeformLayeredPane()` Creates a scalable freeform layered pane that supports rendering of images.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramRootEditPart

`activate, createGridLayer, createGridLayer, createPrintableLayers, createScaledLayers, deactivate, getGridSpacing, getHorizontalRuler, getLayers, getMapMode, getPageBreakEditPart, getPreferencesHint, getVerticalRuler, getWorkspaceViewerPreferences, getZoomManager, moveGridLayer, performRequest, refreshEnableAntiAlias, refreshPageBreaks, refreshRulerUnits, refreshVisuals, setGridColor, setGridSpacing, setGridStyle, setLayers, setPreferencesHint, zoomIn, zoomIn, zoomOut, zoomOut, zoomTo, zoomTo`

Methods inherited from class org.eclipse.gef.editparts.ScalableFreeformRootEditPart
`createLayers, getLayer, getScaledLayers, register, unregister`

Methods inherited from class org.eclipse.gef.editparts.FreeformGraphicalRootEditPart
`createFigure, getAdapter, getContentPane, getDragTracker, getModel, getPrintableLayers, refreshGridLayer`

Methods inherited from class org.eclipse.gef.editparts.SimpleRootEditPart
`createEditPolicies, getCommand, getContents, getRoot, getViewer, refreshChildren, setContents, setViewer`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getFigure, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refresh, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModelChildren, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, isSelectable, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregisterAccessibility, unregisterModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getEditPolicy, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, isSelectable, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Constructor Detail

### RenderedDiagramRootEditPart

    public RenderedDiagramRootEditPart()

  Default constructor

### RenderedDiagramRootEditPart

    public RenderedDiagramRootEditPart(MeasurementUnit mu)

Parameters:
  `mu` - the `MeasurementUnit` that is the native coordinate system for this root edit part.

Method Detail

### createScalableFreeformLayeredPane

    protected ScalableFreeformLayeredPane createScalableFreeformLayeredPane()

  Creates a scalable freeform layered pane that supports rendering of images.

  Overrides:
    `createScalableFreeformLayeredPane` in class `DiagramRootEditPart`
  Returns:
    the new `ScalableFreeformLayeredPane`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.